Get sandbox details
curl --request GET \
--url https://api.klavis.ai/sandbox/{server_name}/{sandbox_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"server_name": "jira",
"status": "idle",
"server_url": "<string>",
"benchmark": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"auth_data": {},
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sandbox
Get sandbox details
Retrieve detailed information about a specific sandbox instance.
GET
/
sandbox
/
{server_name}
/
{sandbox_id}
Get sandbox details
curl --request GET \
--url https://api.klavis.ai/sandbox/{server_name}/{sandbox_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.klavis.ai/sandbox/{server_name}/{sandbox_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sandbox_id": "<string>",
"server_name": "jira",
"status": "idle",
"server_url": "<string>",
"benchmark": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {},
"auth_data": {},
"tags": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your Klavis AI API key.
Path Parameters
The MCP server name
Available options:
jira, github, salesforce, hubspot, notion, airtable, linear, asana, google_sheets, google_drive, google_docs, gmail, google_calendar, google_forms, clickup, close, monday, motion, onedrive, microsoft_teams, outlook_mail, cal.com, quickbooks, moneybird, dropbox, shopify, woocommerce, outlook_calendar, resend, wordpress, mem0, supabase, slack, confluence, discord, snowflake, postgres, mongodb, youtube, googleworkspaceatlas, huggingface, mock_notion, arxiv_latex, calculator, clinicaltrialsgov, fetch, met_museum, open_library, osm, pubmed, us_weather, duckduckgo, whois, wikipedia, scholarly, howtocook, yahoo_finance, 12306, youtube_transcript, weather, twelvedata, national_parks, lara_translate, e2b, context7, alchemy, weights_and_biases, oxylabs, google_maps, brave_search, exa, serper The unique sandbox identifier
Response
Successful Response
Detailed information about a sandbox
Unique identifier for the sandbox
The MCP server type
Available options:
jira, github, salesforce, hubspot, notion, airtable, linear, asana, google_sheets, google_drive, google_docs, gmail, google_calendar, google_forms, clickup, close, monday, motion, onedrive, microsoft_teams, outlook_mail, cal.com, quickbooks, moneybird, dropbox, shopify, woocommerce, outlook_calendar, resend, wordpress, mem0, supabase, slack, confluence, discord, snowflake, postgres, mongodb, youtube, googleworkspaceatlas, huggingface, mock_notion, arxiv_latex, calculator, clinicaltrialsgov, fetch, met_museum, open_library, osm, pubmed, us_weather, duckduckgo, whois, wikipedia, scholarly, howtocook, yahoo_finance, 12306, youtube_transcript, weather, twelvedata, national_parks, lara_translate, e2b, context7, alchemy, weights_and_biases, oxylabs, google_maps, brave_search, exa, serper Current status of the sandbox
Available options:
idle, occupied, error URL to connect to the MCP server
Benchmark for the sandbox initial environment
Last update timestamp
Additional metadata for the sandbox
Sandbox OAuth/API credentials (e.g. access tokens, API keys) used to authenticate with external services
Sandbox tags
